<?php
/**
 * NotificationVariableEnumTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CommunicationManagerClient;

use PHPUnit\Framework\TestCase;

/**
 * NotificationVariableEnumTest Class Doc Comment
 *
 * @category    Class
 * @description Доступные виды переменных в уведомлениях:   * &#x60;{order_products}&#x60; - список продуктов в заказе   * &#x60;{delivery_products}&#x60; - список продуктов в отправлении   * &#x60;{product_name}&#x60; - название товара (связано с order_products или delivery_products)   * &#x60;{product_qty}&#x60; - количество товара в позиции (связано с order_products или delivery_products)   * &#x60;{product_price}&#x60; - цена позиции с товаром со скидкой (связано с order_products или delivery_products)   * &#x60;{product_cost}&#x60; - цена позиции с товаром без скидки (связано с order_products или delivery_products)   * &#x60;{product_image}&#x60; - ссылка главного изображения товара (связано с order_products или delivery_products)   * &#x60;{order_receiver_name}&#x60; - имя получателя   * &#x60;{order_receiver_phone}&#x60; - телефон получателя   * &#x60;{order_number}&#x60; - номер заказа   * &#x60;{order_payment_link}&#x60; - ссылка на оплату   * &#x60;{order_price}&#x60; - итоговая стоимость заказа   * &#x60;{order_products_price}&#x60; - стоимость товаров в заказе   * &#x60;{order_delivery_price}&#x60; - стоимость доставки   * &#x60;{order_delivery_method}&#x60; - метод доставки   * &#x60;{order_delivery_address}&#x60; - адрес доставки   * &#x60;{order_delivery_point}&#x60; - точка самовывоза   * &#x60;{order_delivery_comment}&#x60; - комментарий к доставке   * &#x60;{order_deliveries}&#x60; - отправления в заказе   * &#x60;{order_delivery_number}&#x60; - номер отправления (связано с order_deliveries, если событие связано с заказом)   * &#x60;{order_delivery_date}&#x60; - дата доставки отправления (связано с order_deliveries, если событие связано с заказом)   * &#x60;{order_delivery_timeslot}&#x60; - временной диапазон доставки отправления (связано с order_deliveries, если событие связано с заказом)   * &#x60;{customer_name}&#x60; - имя клиента   * &#x60;{confirmation_code}&#x60; - код подтверждения
 * @package     Ensi\CommunicationManagerClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class NotificationVariableEnumTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "NotificationVariableEnum"
     */
    public function testNotificationVariableEnum()
    {
    }
}
